Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.rasterizer
Class Main.SingleValueOptionHandler

    java.lang.Object
      org.apache.batik.apps.rasterizer.Main.AbstractOptionHandler
          org.apache.batik.apps.rasterizer.Main.SingleValueOptionHandler

All Implemented Interfaces:
  Main.OptionHandler

Direct Known Subclasses:
  Main.ColorOptionHandler, Main.FloatOptionHandler, Main.RectangleOptionHandler

Enclosing class:
  Main

    public abstract static class Main.SingleValueOptionHandler

extends Main.AbstractOptionHandler

Base class for options with a single option value. Subclasses should provide an implementation for the `handleOption` method which takes a `String` and an `SVGConverter` as parameters.

Constructor Summary
`Main.SingleValueOptionHandler()`

Method Summary
`int` | `getOptionValuesLength()` Returns the number of values which the option handler requires.
`abstract void` | `handleOption(String optionValue, SVGConverter c)`
`void` | `safeHandleOption(String[] optionValues, SVGConverter c)`

Methods inherited from class org.apache.batik.apps.rasterizer.Main.AbstractOptionHandler
`handleOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.apps.rasterizer.Main.OptionHandler
`getOptionDescription`

Constructor Detail

### Main.SingleValueOptionHandler

    public Main.SingleValueOptionHandler()

Method Detail

### safeHandleOption

    public void safeHandleOption(String[] optionValues,
                                 SVGConverter c)

  Specified by:
    `safeHandleOption` in class `Main.AbstractOptionHandler`

### getOptionValuesLength

    public int getOptionValuesLength()

  Description copied from interface: `Main.OptionHandler`
  Returns the number of values which the option handler requires. This defines the length of the optionValues array passed to the handler in the handleOption method

### handleOption

    public abstract void handleOption(String optionValue,
                                      SVGConverter c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.